View Issue Details

IDProjectCategoryView StatusLast Update
0019924LazarusIDEpublic2014-10-15 22:12
ReporterSimon AmeisAssigned ToJesus Reyes 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.31 (SVN)Product Build31807 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0019924: Dataset field editor shows exception for a lookup field from a dataset without table name
DescriptionThe editor for TDateset fields shows an exception if the user wants to add a lookup field from another Dataset, which has no table name set.

I think, the user should see a nice hint like "Please set table name" instead of "Kill Lazarus yes/no".

If you set a table name but no FileName (I used TSQLite3Dataset with a database file), the appropriate error for an empty file name is shown.
Steps To Reproduce1. Create a new project
2. Place two TDataset descendants of your choice — I chose TSQLite3Dataset from package sqlite3laz — on the form (leave at least one of the properties FileName or TableName
3. Right click on one dataset and open field editor ("Edit Fields..."), click on the butten "New..." (third button from the right)
4. Select "lookup" as field type, type in an arbitrary name for the key field
5. Now you can select the other dataset as lookup dataset and watch the exception dialog
Additional InformationThe exception might be cought in ideintf/newfield.pas TNewFieldFrm.DataSetsComboChange (TNewFieldFrm is actually the form to create the lookup field), but unfortunately I don't know which ressourcestrings to use …

TagsNo tags attached.
Fixed in Revision46563
LazTarget1.4
Widgetset
Attached Files

Activities

Juha Manninen

2014-10-10 21:44

developer   ~0078143

I believe this old issue is fixed already.

Jesus Reyes

2014-10-15 22:12

developer   ~0078259

It was not fixed, now it is.

Issue History

Date Modified Username Field Change
2011-08-08 00:43 Simon Ameis New Issue
2011-10-06 13:44 Vincent Snijders LazTarget => -
2011-10-06 13:44 Vincent Snijders Status new => acknowledged
2014-10-10 21:43 Juha Manninen Assigned To => Jesus Reyes
2014-10-10 21:43 Juha Manninen Status acknowledged => assigned
2014-10-10 21:44 Juha Manninen Note Added: 0078143
2014-10-15 22:12 Jesus Reyes Fixed in Revision => 46563
2014-10-15 22:12 Jesus Reyes LazTarget - => 1.4
2014-10-15 22:12 Jesus Reyes Note Added: 0078259
2014-10-15 22:12 Jesus Reyes Status assigned => resolved
2014-10-15 22:12 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-15 22:12 Jesus Reyes Resolution open => fixed
2014-10-15 22:12 Jesus Reyes Target Version => 1.4